%define		pkg	tar
Summary:	tar for node
Name:		nodejs-%{pkg}
Version:	0.1.17
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/tar
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	573a6a5dbf16cb69e7caba4c79bd085f
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-block-stream
Requires:	nodejs-fstream
Requires:	nodejs-inherits
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tar for node.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-tar.git;a=log;h=master

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> d1d7445
up to 0.1.17

* Thu Mar 07 2013 Aria <aredridel@nbtsc.org> 0f3a842
v0.1.16

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 7e7d2be
- up to 0.1.13

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> d44990e
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

